Subject: Re: [PATCH v8 12/30] powerpc: Use a function for reading instructions

From: Michael Ellerman <[email-masked]>
Date: Wed, 20 May 2020 14:16:23 +1000

Christophe Leroy <[email-masked]> writes:
> Le 19/05/2020 à 06:05, Michael Ellerman a écrit :
>> Jordan Niethe <[email-masked]> writes:
>>> On Sun, May 17, 2020 at 4:39 AM Christophe Leroy
>>> <[email-masked]> wrote:
>>>>
>>>> Le 06/05/2020 à 05:40, Jordan Niethe a écrit :
>>>>> Prefixed instructions will mean there are instructions of different
>>>>> length. As a result dereferencing a pointer to an instruction will not
>>>>> necessarily give the desired result. Introduce a function for reading
>>>>> instructions from memory into the instruction data type.
>>>>
>>>> Shouldn't this function be used in mmu_patch_addis() in mm/nohash/8xx.c ?
>> 
>>> Yes, that would be a good idea.
>> 
>>> mpe here is a fix, along with one I'll
>>> post for [PATCH v8 11/30] powerpc: Use a datatype for instructions.
>> 
>> I didn't fold this in because I'd prefer one of you send me a patch on
>> top of the series that converts that code to use the new type.
>> 
>> That way it can be tested separately from this big series.
>> 
>
> All this code is going away with the series implementing the use of 
> hugepages for kernel mappings on 8xx 
> (https://patchwork.ozlabs.org/project/linuxppc-dev/list/?series=176094) 
> that I hope will go in 5.8, so there is no point in sending a patch to 
> change that I guess.

OK.

> Is there anything special I need to do to secure the merging of that 
> series in 5.8 ?

Review it for me :P

As long as it is only touching 8xx I'm happy to defer to you. So I guess
any parts that affect other platforms will be where I need to spend more
effort reviewing it.

I'll try and get it into my test branch today and get some testing done
on it.

cheers